## LassoSamlp2NameIDMappingRequest LassoSamlp2NameIDMappingRequest — <samlp2:NameIDMappingRequest> |

## Functions

LassoNode * | lasso_samlp2_name_id_mapping_request_new ()

## Types and Values

struct | LassoSamlp2NameIDMappingRequest

## Description

Figure 81. Schema fragment for samlp2:NameIDMappingRequest

    <complexType name="NameIDMappingRequestType">
      <complexContent>
        <extension base="samlp:RequestAbstractType">
          <sequence>
            <choice>
              <element ref="saml:BaseID"/>
              <element ref="saml:NameID"/>
              <element ref="saml:EncryptedID"/>
            </choice>
            <element ref="samlp:NameIDPolicy"/>
          </sequence>
        </extension>
      </complexContent>
    </complexType>

## Functions

### lasso_samlp2_name_id_mapping_request_new ()

    LassoNode *
    lasso_samlp2_name_id_mapping_request_new
                                   (void);

Creates a new LassoSamlp2NameIDMappingRequest object.

#### Returns

a newly created LassoSamlp2NameIDMappingRequest object

## Types and Values

### struct LassoSamlp2NameIDMappingRequest

    struct LassoSamlp2NameIDMappingRequest {
    	LassoSamlp2RequestAbstract parent;

    	/* elements */
    	LassoSaml2BaseIDAbstract *BaseID;
    	LassoSaml2NameID *NameID;
    	LassoSaml2EncryptedElement *EncryptedID;
    	LassoSamlp2NameIDPolicy *NameIDPolicy;
    };